diff mbox series

[ovs-dev] Documentation: Fix kernel support matrix

Message ID 1589925706-6497-1-git-send-email-gvrose8192@gmail.com
State New
Headers show
Series [ovs-dev] Documentation: Fix kernel support matrix | expand

Commit Message

Gregory Rose May 19, 2020, 10:01 p.m. UTC
The documentation matrix for OVS branches and which kernels they support
is out of date.  Update it to show that since 2.10 the lowest kernel
that we test and support is Linux 3.16.

RHEL and CentOS kernels based upon the original 3.10 kernel are still
supported.

Reported-by: Han Zhou <hzhou@ovn.org>
Reported-at: https://mail.openvswitch.org/pipermail/ovs-dev/2020-May/370742.html
Signed-off-by: Greg Rose <gvrose8192@gmail.com>
---
 Documentation/faq/releases.rst | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

Comments

Han Zhou May 19, 2020, 11 p.m. UTC | #1
On Tue, May 19, 2020 at 3:01 PM Greg Rose <gvrose8192@gmail.com> wrote:
>
> The documentation matrix for OVS branches and which kernels they support
> is out of date.  Update it to show that since 2.10 the lowest kernel
> that we test and support is Linux 3.16.
>
> RHEL and CentOS kernels based upon the original 3.10 kernel are still
> supported.
>
> Reported-by: Han Zhou <hzhou@ovn.org>
> Reported-at:
https://mail.openvswitch.org/pipermail/ovs-dev/2020-May/370742.html
> Signed-off-by: Greg Rose <gvrose8192@gmail.com>
> ---
>  Documentation/faq/releases.rst | 12 ++++++++----
>  1 file changed, 8 insertions(+), 4 deletions(-)
>
> diff --git a/Documentation/faq/releases.rst
b/Documentation/faq/releases.rst
> index 3903e59..e5cef39 100644
> --- a/Documentation/faq/releases.rst
> +++ b/Documentation/faq/releases.rst
> @@ -67,10 +67,10 @@ Q: What Linux kernel versions does each Open vSwitch
release work with?
>      2.7.x        3.10 to 4.9
>      2.8.x        3.10 to 4.12
>      2.9.x        3.10 to 4.13
> -    2.10.x       3.10 to 4.17
> -    2.11.x       3.10 to 4.18
> -    2.12.x       3.10 to 5.0
> -    2.14.x       3.10 to 5.5
> +    2.10.x       3.16 to 4.17
> +    2.11.x       3.16 to 4.18
> +    2.12.x       3.16 to 5.0
> +    2.14.x       3.16 to 5.5
>      ============ ==============
>
>      Open vSwitch userspace should also work with the Linux kernel module
built
> @@ -79,6 +79,10 @@ Q: What Linux kernel versions does each Open vSwitch
release work with?
>      Open vSwitch userspace is not sensitive to the Linux kernel
version.  It
>      should build against almost any kernel, certainly against 2.6.32 and
later.
>
> +    Open vSwitch branches 2.10 through 2.14 will still compile against
the
> +    RHEL and CentOS 7 3.10 based kernels since they have diverged from
the
> +    Linux kernel.org 3.10 kernels.
> +
>  Q: Are all features available with all datapaths?
>
>      A: Open vSwitch supports different datapaths on different
platforms.  Each
> --
> 1.8.3.1
>

Acked-by: Han Zhou <hzhou@ovn.org>
William Tu May 20, 2020, 3:41 p.m. UTC | #2
On Tue, May 19, 2020 at 04:00:07PM -0700, Han Zhou wrote:
> On Tue, May 19, 2020 at 3:01 PM Greg Rose <gvrose8192@gmail.com> wrote:
> >
> > The documentation matrix for OVS branches and which kernels they support
> > is out of date.  Update it to show that since 2.10 the lowest kernel
> > that we test and support is Linux 3.16.
> >
> > RHEL and CentOS kernels based upon the original 3.10 kernel are still
> > supported.
> >
> > Reported-by: Han Zhou <hzhou@ovn.org>
> > Reported-at:
> https://mail.openvswitch.org/pipermail/ovs-dev/2020-May/370742.html
> > Signed-off-by: Greg Rose <gvrose8192@gmail.com>
> > ---
Applied to master, thanks
William
diff mbox series

Patch

diff --git a/Documentation/faq/releases.rst b/Documentation/faq/releases.rst
index 3903e59..e5cef39 100644
--- a/Documentation/faq/releases.rst
+++ b/Documentation/faq/releases.rst
@@ -67,10 +67,10 @@  Q: What Linux kernel versions does each Open vSwitch release work with?
     2.7.x        3.10 to 4.9
     2.8.x        3.10 to 4.12
     2.9.x        3.10 to 4.13
-    2.10.x       3.10 to 4.17
-    2.11.x       3.10 to 4.18
-    2.12.x       3.10 to 5.0
-    2.14.x       3.10 to 5.5
+    2.10.x       3.16 to 4.17
+    2.11.x       3.16 to 4.18
+    2.12.x       3.16 to 5.0
+    2.14.x       3.16 to 5.5
     ============ ==============
 
     Open vSwitch userspace should also work with the Linux kernel module built
@@ -79,6 +79,10 @@  Q: What Linux kernel versions does each Open vSwitch release work with?
     Open vSwitch userspace is not sensitive to the Linux kernel version.  It
     should build against almost any kernel, certainly against 2.6.32 and later.
 
+    Open vSwitch branches 2.10 through 2.14 will still compile against the
+    RHEL and CentOS 7 3.10 based kernels since they have diverged from the
+    Linux kernel.org 3.10 kernels.
+
 Q: Are all features available with all datapaths?
 
     A: Open vSwitch supports different datapaths on different platforms.  Each